Ogre::ConfigDialog Class Reference
General

Defines the behaviour of an automatic renderer configuration dialog. More...

`#include <OgreConfigDialogImp.h>`

Inheritance diagram for Ogre::ConfigDialog:
[legend]

List of all members.

## Public Member Functions

| ConfigDialog ()
| ~ConfigDialog ()
void | initialise ()
void | run ()
void | cancel ()
bool | display ()
| ConfigDialog ()
bool | display ()
| Displays the dialog.
| ConfigDialog ()
bool | display ()
| Displays the dialog.
| ConfigDialog ()
| ~ConfigDialog ()
void | initialise ()
void | run ()
void | cancel ()
bool | display ()
| ConfigDialog ()
bool | display ()
| Displays the dialog.
| ConfigDialog ()
| ~ConfigDialog ()
void | initialise ()
bool | display ()
| ConfigDialog ()
| ~ConfigDialog ()
bool | display ()
| Displays the dialog.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Protected Member Functions

bool | createWindow ()
| Create the gtk+ dialog window.
void | setupRendererParams ()
| Get parameters from selected renderer and fill the dialog.

## Static Protected Member Functions

static void | rendererChanged (GtkComboBox *widget, gpointer data)
| Callback function for renderer select combobox.
static void | optionChanged (GtkComboBox *widget, gpointer data)
| Callback function to change a renderer option.
static gboolean | refreshParams (gpointer data)
| Idle function to refresh renderer parameters.
static BOOL CALLBACK | DlgProc (HWND hDlg, UINT iMsg, WPARAM wParam, LPARAM lParam)
| Callback to process window events.

## Protected Attributes

RenderSystem * | iSelectedRenderSystem
bool | iDisplayStatus
RenderSystem * | mSelectedRenderSystem
| The rendersystem selected by user.
GtkWidget * | mDialog
| The dialog window.
GtkWidget * | mParamTable
| The table with renderer parameters.
GtkWidget * | mOKButton
| The button used to accept the dialog.
HINSTANCE | mHInstance

## Detailed Description

Defines the behaviour of an automatic renderer configuration dialog.

Remarks:
  OGRE comes with it's own renderer configuration dialog, which applications can use to easily allow the user to configure the settings appropriate to their machine. This class defines the interface to this standard dialog. Because dialogs are inherently tied to a particular platform's windowing system, there will be a different subclass for each platform.

Author:
  Steven J. Streeting

Remarks:
  OGRE comes with it's own renderer configuration dialog, which applications can use to easily allow the user to configure the settings appropriate to their machine. This class defines the interface to this standard dialog. Because dialogs are inherently tied to a particular platform's windowing system, there will be a different subclass for each platform.

Author:
  Andrew Zabolotny <zap@homelink.ru>

Definition at line 38 of file Android/OgreConfigDialogImp.h.

## Constructor & Destructor Documentation

Ogre::ConfigDialog::ConfigDialog | ( |  | ) |

Ogre::ConfigDialog::~ConfigDialog | ( |  | ) |

Ogre::ConfigDialog::ConfigDialog | ( |  | ) |

Ogre::ConfigDialog::ConfigDialog | ( |  | ) |

Ogre::ConfigDialog::ConfigDialog | ( |  | ) |

Ogre::ConfigDialog::~ConfigDialog | ( |  | ) |

Ogre::ConfigDialog::ConfigDialog | ( |  | ) |

Ogre::ConfigDialog::ConfigDialog | ( |  | ) |

Ogre::ConfigDialog::~ConfigDialog | ( |  | ) |

Ogre::ConfigDialog::ConfigDialog | ( |  | ) |

Ogre::ConfigDialog::~ConfigDialog | ( |  | ) |

## Member Function Documentation

void Ogre::ConfigDialog::cancel | ( |  | ) |

void Ogre::ConfigDialog::cancel | ( |  | ) |

bool Ogre::ConfigDialog::createWindow | ( |  | ) | `[protected]`

Create the gtk+ dialog window.

bool Ogre::ConfigDialog::display | ( |  | ) |

bool Ogre::ConfigDialog::display | ( |  | ) |

bool Ogre::ConfigDialog::display | ( |  | ) |

Displays the dialog.

Remarks:
  This method displays the dialog and from then on the dialog interacts with the user independently. The dialog will be calling the relevant OGRE rendering systems to query them for options and to set the options the user selects. The method returns when the user closes the dialog.

Returns:
  If the user accepted the dialog, true is returned.

  If the user cancelled the dialog (indicating the application should probably terminate), false is returned.

See also:
  RenderSystem

bool Ogre::ConfigDialog::display | ( |  | ) |

Displays the dialog.

Remarks:
  This method displays the dialog and from then on the dialog interacts with the user independently. The dialog will be calling the relevant OGRE rendering systems to query them for options and to set the options the user selects. The method returns when the user closes the dialog.

Returns:
  If the user accepted the dialog, true is returned.

  If the user cancelled the dialog (indicating the application should probably terminate), false is returned.

See also:
  RenderSystem

bool Ogre::ConfigDialog::display | ( |  | ) |

Displays the dialog.

Remarks:
  This method displays the dialog and from then on the dialog interacts with the user independently. The dialog will be calling the relevant OGRE rendering systems to query them for options and to set the options the user selects. The method returns when the user closes the dialog.

Returns:
  If the user accepted the dialog, true is returned.

  If the user cancelled the dialog (indicating the application should probably terminate), false is returned.

See also:
  RenderSystem

bool Ogre::ConfigDialog::display | ( |  | ) |

Displays the dialog.

Remarks:
  This method displays the dialog and from then on the dialog interacts with the user independently. The dialog will be calling the relevant OGRE rendering systems to query them for options and to set the options the user selects. The method returns when the user closes the dialog.

Returns:
  If the user accepted the dialog, true is returned.

  If the user cancelled the dialog (indicating the application should probably terminate), false is returned.

See also:
  RenderSystem

bool Ogre::ConfigDialog::display | ( |  | ) |

static BOOL CALLBACK Ogre::ConfigDialog::DlgProc | ( | HWND | hDlg,
|  | UINT | iMsg,
|  | WPARAM | wParam,
|  | LPARAM | lParam
| ) |  | `[static, protected]`

Callback to process window events.

void Ogre::ConfigDialog::initialise | ( |  | ) |

void Ogre::ConfigDialog::initialise | ( |  | ) |

void Ogre::ConfigDialog::initialise | ( |  | ) |

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

static void Ogre::ConfigDialog::optionChanged | ( | GtkComboBox * | widget,
|  | gpointer | data
| ) |  | `[static, protected]`

Callback function to change a renderer option.

static gboolean Ogre::ConfigDialog::refreshParams | ( | gpointer | data | ) | `[static, protected]`

Idle function to refresh renderer parameters.

static void Ogre::ConfigDialog::rendererChanged | ( | GtkComboBox * | widget,
|  | gpointer | data
| ) |  | `[static, protected]`

Callback function for renderer select combobox.

void Ogre::ConfigDialog::run | ( |  | ) |

void Ogre::ConfigDialog::run | ( |  | ) |

void Ogre::ConfigDialog::setupRendererParams | ( |  | ) | `[protected]`

Get parameters from selected renderer and fill the dialog.

## Member Data Documentation

bool Ogre::ConfigDialog::iDisplayStatus`[protected]`

Definition at line 53 of file Android/OgreConfigDialogImp.h.

RenderSystem * Ogre::ConfigDialog::iSelectedRenderSystem`[protected]`

Definition at line 52 of file Android/OgreConfigDialogImp.h.

GtkWidget* Ogre::ConfigDialog::mDialog`[protected]`

The dialog window.

Definition at line 79 of file gtk/OgreConfigDialogImp.h.

HINSTANCE Ogre::ConfigDialog::mHInstance`[protected]`

Definition at line 90 of file WIN32/OgreConfigDialogImp.h.

GtkWidget* Ogre::ConfigDialog::mOKButton`[protected]`

The button used to accept the dialog.

Definition at line 83 of file gtk/OgreConfigDialogImp.h.

GtkWidget* Ogre::ConfigDialog::mParamTable`[protected]`

The table with renderer parameters.

Definition at line 81 of file gtk/OgreConfigDialogImp.h.

RenderSystem * Ogre::ConfigDialog::mSelectedRenderSystem`[protected]`

The rendersystem selected by user.

Definition at line 72 of file GLX/OgreConfigDialogImp.h.

The documentation for this class was generated from the following files:

- Android/OgreConfigDialogImp.h
- GLX/OgreConfigDialogImp.h
- gtk/OgreConfigDialogImp.h
- iOS/OgreConfigDialogImp.h
- NaCl/OgreConfigDialogImp.h
- OSX/OgreConfigDialogImp.h
- WIN32/OgreConfigDialogImp.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:25